// CHECKSTYLE:OFF

package org.jvnet.hudson.plugins.repositoryconnector;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;
import org.kohsuke.accmod.Restricted;


/**
 * Generated localization support class.
 * 
 */
@SuppressWarnings({
    "",
    "PMD",
    "all"
})
@Restricted(org.kohsuke.accmod.restrictions.NoExternalUse.class)
public class Messages {

    /**
     * The resource bundle reference
     * 
     */
    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Key {@code EmptyGroupId}: {@code GroupId Id must not be empty}.
     * 
     * @return
     *     {@code GroupId Id must not be empty}
     */
    public static String EmptyGroupId() {
        return holder.format("EmptyGroupId");
    }

    /**
     * Key {@code EmptyGroupId}: {@code GroupId Id must not be empty}.
     * 
     * @return
     *     {@code GroupId Id must not be empty}
     */
    public static Localizable _EmptyGroupId() {
        return new Localizable(holder, "EmptyGroupId");
    }

    /**
     * Key {@code EmptyRepositoryName}: {@code Repository Name must not be
     * empty}.
     * 
     * @return
     *     {@code Repository Name must not be empty}
     */
    public static String EmptyRepositoryName() {
        return holder.format("EmptyRepositoryName");
    }

    /**
     * Key {@code EmptyRepositoryName}: {@code Repository Name must not be
     * empty}.
     * 
     * @return
     *     {@code Repository Name must not be empty}
     */
    public static Localizable _EmptyRepositoryName() {
        return new Localizable(holder, "EmptyRepositoryName");
    }

    /**
     * Key {@code ConnectionFailed}: {@code Connection test failed}.
     * 
     * @return
     *     {@code Connection test failed}
     */
    public static String ConnectionFailed() {
        return holder.format("ConnectionFailed");
    }

    /**
     * Key {@code ConnectionFailed}: {@code Connection test failed}.
     * 
     * @return
     *     {@code Connection test failed}
     */
    public static Localizable _ConnectionFailed() {
        return new Localizable(holder, "ConnectionFailed");
    }

    /**
     * Key {@code DisplayName}: {@code Maven Repository Artifact}.
     * 
     * @return
     *     {@code Maven Repository Artifact}
     */
    public static String DisplayName() {
        return holder.format("DisplayName");
    }

    /**
     * Key {@code DisplayName}: {@code Maven Repository Artifact}.
     * 
     * @return
     *     {@code Maven Repository Artifact}
     */
    public static Localizable _DisplayName() {
        return new Localizable(holder, "DisplayName");
    }

    /**
     * Key {@code ArtifactResolver}: {@code Artifact Resolver}.
     * 
     * @return
     *     {@code Artifact Resolver}
     */
    public static String ArtifactResolver() {
        return holder.format("ArtifactResolver");
    }

    /**
     * Key {@code ArtifactResolver}: {@code Artifact Resolver}.
     * 
     * @return
     *     {@code Artifact Resolver}
     */
    public static Localizable _ArtifactResolver() {
        return new Localizable(holder, "ArtifactResolver");
    }

    /**
     * Key {@code Success}: {@code Success}.
     * 
     * @return
     *     {@code Success}
     */
    public static String Success() {
        return holder.format("Success");
    }

    /**
     * Key {@code Success}: {@code Success}.
     * 
     * @return
     *     {@code Success}
     */
    public static Localizable _Success() {
        return new Localizable(holder, "Success");
    }

    /**
     * Key {@code EmptyArtifactId}: {@code Artifact Id must not be empty}.
     * 
     * @return
     *     {@code Artifact Id must not be empty}
     */
    public static String EmptyArtifactId() {
        return holder.format("EmptyArtifactId");
    }

    /**
     * Key {@code EmptyArtifactId}: {@code Artifact Id must not be empty}.
     * 
     * @return
     *     {@code Artifact Id must not be empty}
     */
    public static Localizable _EmptyArtifactId() {
        return new Localizable(holder, "EmptyArtifactId");
    }

    /**
     * Key {@code EmptyBaseURL}: {@code Base URL must not be empty}.
     * 
     * @return
     *     {@code Base URL must not be empty}
     */
    public static String EmptyBaseURL() {
        return holder.format("EmptyBaseURL");
    }

    /**
     * Key {@code EmptyBaseURL}: {@code Base URL must not be empty}.
     * 
     * @return
     *     {@code Base URL must not be empty}
     */
    public static Localizable _EmptyBaseURL() {
        return new Localizable(holder, "EmptyBaseURL");
    }

    /**
     * Key {@code ArtifactDeployer}: {@code Artifact Deployer}.
     * 
     * @return
     *     {@code Artifact Deployer}
     */
    public static String ArtifactDeployer() {
        return holder.format("ArtifactDeployer");
    }

    /**
     * Key {@code ArtifactDeployer}: {@code Artifact Deployer}.
     * 
     * @return
     *     {@code Artifact Deployer}
     */
    public static Localizable _ArtifactDeployer() {
        return new Localizable(holder, "ArtifactDeployer");
    }

    /**
     * Key {@code ClientError}: {@code Client Error: }.
     * 
     * @return
     *     {@code Client Error: }
     */
    public static String ClientError() {
        return holder.format("ClientError");
    }

    /**
     * Key {@code ClientError}: {@code Client Error: }.
     * 
     * @return
     *     {@code Client Error: }
     */
    public static Localizable _ClientError() {
        return new Localizable(holder, "ClientError");
    }

    /**
     * Key {@code NoVersions}: {@code No versions could be resolved for
     * groupid.artifactid}.
     * 
     * @return
     *     {@code No versions could be resolved for groupid.artifactid}
     */
    public static String NoVersions() {
        return holder.format("NoVersions");
    }

    /**
     * Key {@code NoVersions}: {@code No versions could be resolved for
     * groupid.artifactid}.
     * 
     * @return
     *     {@code No versions could be resolved for groupid.artifactid}
     */
    public static Localizable _NoVersions() {
        return new Localizable(holder, "NoVersions");
    }

    /**
     * Key {@code EmptyUsername}: {@code Username cannot be empty when
     * Password is present}.
     * 
     * @return
     *     {@code Username cannot be empty when Password is present}
     */
    public static String EmptyUsername() {
        return holder.format("EmptyUsername");
    }

    /**
     * Key {@code EmptyUsername}: {@code Username cannot be empty when
     * Password is present}.
     * 
     * @return
     *     {@code Username cannot be empty when Password is present}
     */
    public static Localizable _EmptyUsername() {
        return new Localizable(holder, "EmptyUsername");
    }

}
